﻿Option Strict On

Imports System.Windows.Markup

Namespace MyWpfExtensions
    Public Class MultiplyExtension
        Inherits MarkupExtension

        Public Sub New()
        End Sub

        Public Sub New(value1 As String, value2 As String)
            Me.Value1 = value1 : Me.Value2 = value2
        End Sub

        <ConstructorArgument("value1")>
        Public Property Value1 As Object
        <ConstructorArgument("value2")>
        Public Property Value2 As Object

        Public Overrides Function ProvideValue(serviceProvider As IServiceProvider) As Object
            If Value1 Is Nothing Then Value1 = 0
            If Value2 Is Nothing Then Value2 = 0

            Return $"{ Double.Parse(Value1.ToString) * Double.Parse(Value2.ToString)}"
        End Function
    End Class
End Namespace
